## kpublictransport 24.08.2

=== debian/changelog ===
kpublictransport (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:58:36 -0500

kpublictransport (24.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (24.08.2).
  * Ship qml package in dev packge.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 13:35:36 +0200

kpublictransport (24.08.1-3) experimental; urgency=medium

  [ Sandro Knauß ]
  * Fix creation of virtual package.
  * Add lintian-override for usage of virtual package.

 -- Sandro Knauß <hefee@debian.org>  Sat, 28 Sep 2024 23:20:41 +0200

kpublictransport (24.08.1-2) experimental; urgency=medium

  * Team upload.
  * Update Standards-Version (no changes needed).

 -- Sandro Knauß <hefee@debian.org>  Wed, 25 Sep 2024 22:31:44 +0200

kpublictransport (24.08.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (24.08.1.
  * Update build-deps and deps with the info from cmake.
  * Update copryright file.
  * Switch to Qt6:
    - Build qml6 module
    - Update install paths to Qt6
    - update B-ds to Qt6/KF6.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Wed, 25 Sep 2024 00:27:03 +0200
