## kpublictransport 24.12.0

=== debian/changelog ===
kpublictransport (24.12.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 19 Dec 2024 00:07:06 +0100

kpublictransport (24.12.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 21:56:57 +0100

kpublictransport (24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 14:39:56 +0100
