=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
 Build-Depends: cmake (>= 3.16),
                debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.245~),
                libkf6i18n-dev,
                libkf6networkmanagerqt-dev,
                libprotobuf-dev,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 5.15~),
+               qml6-module-org-kde-kirigami,
+               qt6-base-dev (>= 6.5~),
                qt6-declarative-dev (>= 6.5~),
+               qt6-declarative-private-dev,
                tzdata <!nocheck>,
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
 Rules-Requires-Root: no
 
 Package: libkpublictransport1
@@ -40,7 +43,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: kde
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Library to assist with accessing public transport (data files)
  The data files for a public transport API
  .
@@ -75,7 +78,7 @@
 Architecture: any
 Multi-Arch: same
 Section: kde
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Library to assist with accessing public transport (qml plugin)
  A QtQuick plugin providing a public transport API
  .
