=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
 Build-Depends: cmake (>= 3.16),
@@ -23,8 +24,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
 Rules-Requires-Root: no
 
 Package: libkpublictransport1
