## kpublictransport 25.04.2

=== debian/changelog ===
kpublictransport (25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Treat neither a positive nor a negative cache hit as missing backend.
    - Adapt test data to different storage format in 25.04.
    - Fix ÖBB onboard API journey data parsing and extract track information.
    - Add QML module dependency information.
    - Fix MOTIS v2 admin area parsing.
  * New upstream release (25.04.2).
    - Fix OTP arrival platform parsing.
    - Fix parsing of EFA operator names.
    - Continue backend search until we find at least one that covers both
    sides.
    - Consider all higher coverage types as well for journey coverage checks.
    - Make line asset loading also work for stopovers without coordinates.
    - Retain trip identifiers in DB trip queries.
    - Add onboard API support for Ouigo ES.
    - Check type before reading a numeric JSON value.
    - Include Estonia in DB's coverage area. (kde#504042)
    - Make mode filters work on the bwegt EFA endpoint.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 10 Jun 2025 00:17:59 +0200

kpublictransport (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:25 +0200
