=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(jsontest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(jsonpointertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -30,8 +31,11 @@
 ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(locationhistorymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(platformlayouttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(featuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(tripreplytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 
 ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(hafasparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasmgateparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasqueryparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(hafasvehiclelayoutparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -39,12 +43,14 @@
 ecm_add_test(efaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(efarequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME efarequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(deutschebahntest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(deutschebahnparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
 ecm_add_test(otpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(oebbparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ivvassparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(gbfsreadertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ojprequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(ojpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(motis2parsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 
 ecm_add_test(publictransportmanagertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
