=== debian/changelog ===
kpublictransport (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Ignore empty path sections when computing the bounding box.
    - Update Transitous coverage data.
    - Parse more DB vehicle layout feature types.
    - Fix DE-NI Efa endpoint URL.
    - Update Transitous coverage data.
    - NRW ZKS has a working SSL certificate meanwhile.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Jul 2025 15:08:08 +0200
