=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kpublictransport
 Priority: optional
 Section: libs
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <matthias.geiger1024@tutanota.de>,
-Build-Depends: cmake (>= 3.16),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 5.245~),
-               libkf6i18n-dev,
+               cmake (>= 3.16),
+               extra-cmake-modules (>= 6.0~),
+               libkf6i18n-dev (>= 6.11~),
                libkf6networkmanagerqt-dev,
                libprotobuf-dev,
                pkg-kde-tools,
@@ -22,10 +21,10 @@
                qt6-declarative-private-dev,
                tzdata <!nocheck>,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/kpublictransport
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpublictransport
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpublictransport.git
 Rules-Requires-Root: no
 
 Package: libkpublictransport1
