## kpublictransport 25.07.80

=== debian/changelog ===
kpublictransport (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Build depend on kirigami-addons-dev

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:43:54 +0100

kpublictransport (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:41 +0100
